## kdesu 5.98.0

=== debian/changelog ===
kdesu (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:31:27 +0100

kdesu (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:03:39 +0100

kdesu (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:29:33 +0100

kdesu (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:55:03 +0100

kdesu (5.94.0-0ubuntu2) kinetic; urgency=medium

  * Disable use of sudo 'Defaults use_pty' for kdesu. (LP: #1965439)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 May 2022 15:13:22 +0100

kdesu (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:18:42 +0100

kdesu (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:22:15 +0100

=== debian/control ===
Source: kdesu
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.98.0~),
               libkf5coreaddons-dev (>= 5.98.0~),
               libkf5i18n-dev (>= 5.98.0~),
               libkf5pty-dev (>= 5.98.0~),
               libkf5service-dev (>= 5.98.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kdesu
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesu
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesu
Rules-Requires-Root: no

Package: libkf5su-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5su5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5su5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: runtime files for kdesu
 Framework to handle super user actions.
 .
 Contains runtime files for kdesu.

Package: libkf5su-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5su5 (<< 5.10)
Replaces: libkf5su5 (<< 5.10)
Description: translation files for kdesu
 Framework to handle super user actions
 .
 Contains translation files for kdesu.

Package: libkf5su-dev
Section: libdevel
Architecture: any
Depends: libkf5pty-dev (>= 5.98.0~),
         libkf5su5 (= ${binary:Version}),
         ${misc:Depends},
Breaks: libkf5kdelibs4support-dev (<< 5.54)
Recommends: libkf5su-doc (= ${source:Version})
Description: development files for kdesu
 Framework to handle super user actions.
 .
 Contains development files for kdesu.

Package: libkf5su-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: runtime files for kdesu (documentation)
 Framework to handle super user actions.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5su5
Architecture: any
Multi-Arch: same
Depends: libkf5su-data (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5su-bin (= ${binary:Version})
Description: Integration with su for elevated privileges.
 Framework to handle super user actions

## kdesu 5.103.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.103.0") # handled by release scripts
set(KF_DEP_VERSION "5.103.0") # handled by release scripts
project(KDESu VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.103.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(ECMDeprecationSettings)

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION}Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Pty ${KF_DEP_VERSION} REQUIRED)

#optional features
find_package(X11)
set(HAVE_X11 ${X11_FOUND})

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(KDESU_USE_SUDO_DEFAULT "Set On to use sudo instead of su [default=Off]" Off)
option(KDESU_USE_DOAS_DEFAULT "Set On to use doas instead of su and sudo [default=Off]" Off)
if(KDESU_USE_SUDO_DEFAULT AND KDESU_USE_DOAS_DEFAULT)
   message(FATAL_ERROR "Choose between sudo(1) or doas(1)")
elseif(KDESU_USE_SUDO_DEFAULT)
  message("Using sudo as default")
elseif(KDESU_USE_DOAS_DEFAULT)
  message("Using doas as default")
else()
  message("Using su as default (set KDESU_USE_SUDO_DEFAULT=On to use sudo)")
endif()

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KDESU
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdesu_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5SuConfigVersion.cmake"
                        SOVERSION 5)
ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.95
)

ki18n_install(po)
add_subdirectory(src)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Su")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Su_QCH
        FILE KF5SuQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5SuQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5SuConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5SuConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5SuConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5SuConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5SuTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5SuTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kdesu_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDESu COMPONENT Devel
)

if(BUILD_TESTING)
  add_subdirectory(autotests)
endif()

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)
find_package(Qt${QT_MAJOR_VERSION}Test REQUIRED)
configure_file(config-kdesutest.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdesutest.h)
ecm_add_test(kdesutest.cpp TEST_NAME kdesutest LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::Su KF5::CoreAddons KF5::ConfigCore)

if(KDESU_USE_SUDO_DEFAULT)
  target_compile_definitions(kdesutest PRIVATE -DKDESU_USE_SUDO_DEFAULT="true")
elseif(KDESU_USE_DOAS_DEFAULT)
  target_compile_definitions(kdesutest PRIVATE -DKDESU_USE_DOAS_DEFAULT="true")
endif()

=== src/CMakeLists.txt ===
add_subdirectory(kdesud)

include(CheckTypeSize)
include(CheckIncludeFiles)
include(CheckFunctionExists)

check_function_exists(setpriority HAVE_SETPRIORITY)
check_function_exists(getpeereid HAVE_GETPEEREID)
check_function_exists(initgroups HAVE_INITGROUPS)

check_include_files(sys/select.h  HAVE_SYS_SELECT_H)

set(CMAKE_EXTRA_INCLUDE_FILES sys/socket.h)
check_type_size("struct ucred" STRUCT_UCRED) #defines HAVE_STRUCT_UCRED (bool) and STRUCT_UCRED (size, unused)
set(CMAKE_EXTRA_INCLUDE_FILES)  #reset CMAKE_EXTRA_INCLUDE_FILES

configure_file(config-kdesu.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdesu.h)

add_library(KF5Su)
add_library(KF5::Su ALIAS KF5Su)

set_target_properties(KF5Su PROPERTIES
    VERSION     ${KDESU_VERSION}
    SOVERSION   ${KDESU_SOVERSION}
    EXPORT_NAME Su
)

target_sources(KF5Su PRIVATE
  client.cpp
  ptyprocess.cpp
  kcookie.cpp
  suprocess.cpp
  sshprocess.cpp
  stubprocess.cpp
)

ecm_qt_declare_logging_category(KF5Su
    HEADER ksu_debug.h
    IDENTIFIER KSU_LOG
    CATEGORY_NAME kf.su
    DESCRIPTION "KSu (KDESu)"
    EXPORT KSU
)

ecm_generate_export_header(KF5Su
    EXPORT_FILE_NAME kdesu/kdesu_export.h
    BASE_NAME KDESu
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.0 5.99
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

if(KDESU_USE_SUDO_DEFAULT)
  target_compile_definitions(KF5Su PRIVATE -DKDESU_USE_SUDO_DEFAULT="true")
elseif(KDESU_USE_DOAS_DEFAULT)
  target_compile_definitions(KF5Su PRIVATE -DKDESU_USE_DOAS_DEFAULT="true")
endif()

target_include_directories(KF5Su PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/..)

# Apps must include <KDESu/File> or <kdesu/file.h>
target_include_directories(KF5Su INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KDESu>")

target_link_libraries(KF5Su
  PUBLIC
    KF5::Pty
  PRIVATE
    KF5::CoreAddons # KUser::loginName
    KF5::ConfigCore # KConfigGroup
)


ecm_generate_headers(KDESu_CamelCase_HEADERS
  HEADER_NAMES
  PtyProcess
  SuProcess
  SshProcess
  StubProcess
  Client # technically the class is called KDEsuClient...

  PREFIX KDESu
  REQUIRED_HEADERS KDESu_HEADERS
)
install(FILES ${KDESu_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDESu/KDESu COMPONENT Devel)

install(TARGETS KF5Su EXPORT KF5SuTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

include(ECMMarkNonGuiExecutable)

set_source_files_properties(kdesu_stub.c PROPERTIES
                            COMPILE_DEFINITIONS "_XOPEN_SOURCE;_BSD_SOURCE")
add_executable(kdesu_stub kdesu_stub.c)
ecm_mark_nongui_executable(kdesu_stub)

install(TARGETS kdesu_stub DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF})

########### install files ###############
install(FILES
  su.h
  ssh.h
  stub.h
  process.h
  defaults.h
  ${CMAKE_CURRENT_BINARY_DIR}/kdesu/kdesu_export.h
  ${KDESu_HEADERS}
  DESTINATION  ${KDE_INSTALL_INCLUDEDIR_KF}/KDESu/kdesu COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5Su_QCH
        NAME KDESu
        BASE_NAME KF5Su
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KDESu_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            KF5Pty_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KDESU_EXPORT
            KDESU_DEPRECATED
            KDESU_DEPRECATED_EXPORT
            "KDESU_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KDESu LIB_NAME KF5Su DEPS "KPty" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KDESu)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

ecm_qt_install_logging_categories(
    EXPORT KSU
    FILE ksu.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

=== debian/changelog ===
kdesu (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:29 +0100

kdesu (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:07 +0100

kdesu (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.
  * Drop patches applied upstream.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:31 +0100

kdesu (5.100.0-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Drop the unused leftovers of the 'testsuite' autpkgtest.
  * Remove the unused debian/meta/ stuff.
  * CI: enable again the blhc job.
  * Backport upstream commit 3463f37ed451003deb301ae7b5b156f552a6c1b5 to fix
    the build on non-Linux architectures; patch
    upstream_Include-sys-prctl.h-only-on-Linux.patch.
  * Remove breaks/replaces for existing packages with versions older than
    oldstable.

 -- Pino Toscano <pino@debian.org>  Sat, 26 Nov 2022 08:15:25 +0100

kdesu (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:03 +0100

kdesu (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:46 +0200

kdesu (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:37 +0200

kdesu (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:05 +0200

kdesu (5.94.0-2) unstable; urgency=medium

  [ Rik Mills ]
  * Disable use of sudo 'Defaults use_pty' for kdesu. (Closes: #1011624)
  * Improve short description for libkf5su5.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Jun 2022 11:20:21 +0200

kdesu (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:05 +0200

kdesu (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:47 +0200

kdesu (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:43 +0100

=== debian/control ===
Source: kdesu
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 5.103.0~),
               libkf5config-dev (>= 5.103.0~),
               libkf5coreaddons-dev (>= 5.103.0~),
               libkf5i18n-dev (>= 5.103.0~),
               libkf5pty-dev (>= 5.103.0~),
               libkf5service-dev (>= 5.90.0~),
               libqt5sql5-sqlite,
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kdesu
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdesu
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdesu.git
Rules-Requires-Root: no

Package: libkf5su-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: runtime files for kdesu
 Framework to handle super user actions.
 .
 Contains runtime files for kdesu.

Package: libkf5su-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: translation files for kdesu
 Framework to handle super user actions
 .
 Contains translation files for kdesu.

Package: libkf5su-dev
Section: libdevel
Architecture: any
Depends: libkf5pty-dev (>= 5.103.0~),
         libkf5su5 (= ${binary:Version}),
         ${misc:Depends},
Recommends: libkf5su-doc (= ${source:Version}),
Description: development files for kdesu
 Framework to handle super user actions.
 .
 Contains development files for kdesu.

Package: libkf5su-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: runtime files for kdesu (documentation)
 Framework to handle super user actions.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5su5
Architecture: any
Multi-Arch: same
Depends: libkf5su-data (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5su-bin (= ${binary:Version}),
Description: Integration with su for privilege escalation
 Framework to handle super user actions

## kdesu 5.104.0

=== debian/changelog ===
kdesu (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:15:50 +0000

kdesu (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:42:43 +0000

kdesu (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:56:29 +0000

kdesu (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:19:51 +0000

kdesu (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:14:23 +0000

kdesu (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:58:36 +0000

=== debian/control ===
Source: kdesu
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.104.0~),
               libkf5config-dev (>= 5.104.0~),
               libkf5coreaddons-dev (>= 5.104.0~),
               libkf5i18n-dev (>= 5.104.0~),
               libkf5pty-dev (>= 5.104.0~),
               libkf5service-dev (>= 5.104.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kdesu
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesu
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesu
Rules-Requires-Root: no

Package: libkf5su-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5su5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5su5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: runtime files for kdesu
 Framework to handle super user actions.
 .
 Contains runtime files for kdesu.

Package: libkf5su-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5su5 (<< 5.10)
Replaces: libkf5su5 (<< 5.10)
Description: translation files for kdesu
 Framework to handle super user actions
 .
 Contains translation files for kdesu.

Package: libkf5su-dev
Section: libdevel
Architecture: any
Depends: libkf5pty-dev (>= 5.104.0~),
         libkf5su5 (= ${binary:Version}),
         ${misc:Depends},
Breaks: libkf5kdelibs4support-dev (<< 5.54)
Recommends: libkf5su-doc (= ${source:Version})
Description: development files for kdesu
 Framework to handle super user actions.
 .
 Contains development files for kdesu.

Package: libkf5su-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: runtime files for kdesu (documentation)
 Framework to handle super user actions.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5su5
Architecture: any
Multi-Arch: same
Depends: libkf5su-data (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5su-bin (= ${binary:Version})
Description: Integration with su for elevated privileges.
 Framework to handle super user actions

## kdesu 5.109.0

=== debian/changelog ===
kdesu (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:48:32 +0100

kdesu (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:19:16 +0100

kdesu (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:04:55 +0100

kdesu (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:44:58 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.104.0~),
-               libkf5config-dev (>= 5.104.0~),
-               libkf5coreaddons-dev (>= 5.104.0~),
-               libkf5i18n-dev (>= 5.104.0~),
-               libkf5pty-dev (>= 5.104.0~),
-               libkf5service-dev (>= 5.104.0~),
+               extra-cmake-modules (>= 5.109.0~),
+               libkf5config-dev (>= 5.109.0~),
+               libkf5coreaddons-dev (>= 5.109.0~),
+               libkf5i18n-dev (>= 5.109.0~),
+               libkf5pty-dev (>= 5.109.0~),
+               libkf5service-dev (>= 5.109.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -48,7 +48,7 @@
 Package: libkf5su-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5pty-dev (>= 5.104.0~),
+Depends: libkf5pty-dev (>= 5.109.0~),
          libkf5su5 (= ${binary:Version}),
          ${misc:Depends},
 Breaks: libkf5kdelibs4support-dev (<< 5.54)

## kdesu 5.110.0

=== debian/changelog ===
kdesu (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:05:51 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
-               libkf5config-dev (>= 5.109.0~),
-               libkf5coreaddons-dev (>= 5.109.0~),
-               libkf5i18n-dev (>= 5.109.0~),
-               libkf5pty-dev (>= 5.109.0~),
-               libkf5service-dev (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
+               libkf5config-dev (>= 5.110.0~),
+               libkf5coreaddons-dev (>= 5.110.0~),
+               libkf5i18n-dev (>= 5.110.0~),
+               libkf5pty-dev (>= 5.110.0~),
+               libkf5service-dev (>= 5.110.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -48,7 +48,7 @@
 Package: libkf5su-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5pty-dev (>= 5.109.0~),
+Depends: libkf5pty-dev (>= 5.110.0~),
          libkf5su5 (= ${binary:Version}),
          ${misc:Depends},
 Breaks: libkf5kdelibs4support-dev (<< 5.54)

## kdesu 5.113.0

=== debian/changelog ===
kdesu (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:42:41 +0000

kdesu (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:47:31 +0000

kdesu (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:57:10 +0000

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
-               libkf5config-dev (>= 5.110.0~),
-               libkf5coreaddons-dev (>= 5.110.0~),
-               libkf5i18n-dev (>= 5.110.0~),
-               libkf5pty-dev (>= 5.110.0~),
-               libkf5service-dev (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
+               libkf5config-dev (>= 5.113.0~),
+               libkf5coreaddons-dev (>= 5.113.0~),
+               libkf5i18n-dev (>= 5.113.0~),
+               libkf5pty-dev (>= 5.113.0~),
+               libkf5service-dev (>= 5.113.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -48,7 +48,7 @@
 Package: libkf5su-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5pty-dev (>= 5.110.0~),
+Depends: libkf5pty-dev (>= 5.113.0~),
          libkf5su5 (= ${binary:Version}),
          ${misc:Depends},
 Breaks: libkf5kdelibs4support-dev (<< 5.54)

## kdesu 5.115.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.103.0") # handled by release scripts
-set(KF_DEP_VERSION "5.103.0") # handled by release scripts
+set(KF_VERSION "5.115.0") # handled by release scripts
+set(KF_DEP_VERSION "5.115.0") # handled by release scripts
 project(KDESu VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.103.0  NO_MODULE)
+find_package(ECM 5.115.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== src/kdesud/autotests/CMakeLists.txt ===
include(ECMAddTests)
find_package(Qt${QT_MAJOR_VERSION}Test REQUIRED)
configure_file(config-kdesudtest.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdesudtest.h)
ecm_add_test(kdesudtest.cpp ../lexer.cpp TEST_NAME kdesudtest LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::CoreAddons KF5::ConfigCore)

=== debian/changelog ===
kdesu (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:14:56 +0200

kdesu (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:03:43 +0100

kdesu (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:40 +0200

kdesu (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:58 +0100

=== debian/control ===
Source: kdesu
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 5.115.0~),
               libkf5config-dev (>= 5.115.0~),
               libkf5coreaddons-dev (>= 5.115.0~),
               libkf5i18n-dev (>= 5.115.0~),
               libkf5pty-dev (>= 5.115.0~),
               libqt5sql5-sqlite,
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kdesu
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdesu
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdesu.git
Rules-Requires-Root: no

Package: libkf5su-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: runtime files for kdesu
 Framework to handle super user actions.
 .
 Contains runtime files for kdesu.

Package: libkf5su-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: translation files for kdesu
 Framework to handle super user actions
 .
 Contains translation files for kdesu.

Package: libkf5su-dev
Section: libdevel
Architecture: any
Depends: libkf5pty-dev (>= 5.115.0~),
         libkf5su5 (= ${binary:Version}),
         ${misc:Depends},
Recommends: libkf5su-doc (= ${source:Version}),
Description: development files for kdesu
 Framework to handle super user actions.
 .
 Contains development files for kdesu.

Package: libkf5su-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: runtime files for kdesu (documentation)
 Framework to handle super user actions.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5su5
Architecture: any
Multi-Arch: same
Depends: libkf5su-data (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5su-bin (= ${binary:Version}),
Description: Integration with su for privilege escalation
 Framework to handle super user actions

## kdesu 5.116.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.115.0") # handled by release scripts
-set(KF_DEP_VERSION "5.115.0") # handled by release scripts
+set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KDESu VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.115.0  NO_MODULE)
+find_package(ECM 5.116.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== src/kdesud/CMakeLists.txt ===
include(CheckFunctionExists)
check_function_exists(getpeereid HAVE_GETPEEREID) # openbsd style
check_function_exists(getpeereucred HAVE_GETPEERUCRED) # solaris style

check_symbol_exists(close_range "unistd.h" HAVE_CLOSE_RANGE)

configure_file (config-kdesud.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdesud.h )

add_executable(kdesud)
ecm_mark_nongui_executable(kdesud)

target_sources(kdesud PRIVATE
   kdesud.cpp
   repo.cpp
   lexer.cpp
   handler.cpp
   secure.cpp
)

ecm_qt_declare_logging_category(kdesud
    HEADER ksud_debug.h
    IDENTIFIER KSUD_LOG
    CATEGORY_NAME kf.su.kdesud
    DESCRIPTION "kdesud (KDESu)"
    EXPORT KSU
)

target_link_libraries(kdesud KF5::Su KF5::I18n ${X11_LIBRARIES})
if(HAVE_X11)
  target_include_directories(kdesud PRIVATE ${X11_X11_INCLUDE_PATH})
endif()

if(BUILD_TESTING)
  add_subdirectory(autotests)
endif()

########### install files ###############

install(TARGETS kdesud DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF})

=== debian/changelog ===
kdesu (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:41:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,21 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf5,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
-               libkf5config-dev (>= 5.115.0~),
-               libkf5coreaddons-dev (>= 5.115.0~),
-               libkf5i18n-dev (>= 5.115.0~),
-               libkf5pty-dev (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
+               libkf5config-dev (>= 5.116.0~),
+               libkf5coreaddons-dev (>= 5.116.0~),
+               libkf5i18n-dev (>= 5.116.0~),
+               libkf5pty-dev (>= 5.116.0~),
                libqt5sql5-sqlite,
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kdesu
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdesu
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdesu.git
@@ -44,7 +44,7 @@
 Package: libkf5su-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5pty-dev (>= 5.115.0~),
+Depends: libkf5pty-dev (>= 5.116.0~),
          libkf5su5 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf5su-doc (= ${source:Version}),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DKDESU_USE_SUDO_DEFAULT=true -DBUILD_QCH=ON

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kdesu-([\d.]+)\.tar\.xz

## kdesu 5.116.0+p24.04+vstable+git20251015.0940

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_VERSION "5.117.0") # handled by release scripts
 set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KDESu VERSION ${KF_VERSION})

=== debian/changelog ===
kdesu (5.116.0+p24.04+vstable+git20251015.0940-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:40:23 +0000

kdesu (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:38:55 +1000

kdesu (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:24:20 +0000

kdesu (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:18:39 +0000

kdesu (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 03:59:32 +0000

kdesu (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:41:10 +0000

kdesu (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 13:47:34 +0000

kdesu (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:22:48 +0000

kdesu (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 08:56:35 +0000

kdesu (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:07:37 +0000

kdesu (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 07:53:44 +0000

kdesu (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 09:46:54 +0000

kdesu (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:23:15 +0000

kdesu (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:25:55 +0000

kdesu (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 11:51:35 +0000

kdesu (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 11:54:29 +0000

kdesu (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 11:59:53 +0000

kdesu (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:18:04 +0000

kdesu (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:23:46 +0000

kdesu (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 11:56:14 +0000

kdesu (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:26:07 +0000

kdesu (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Apr 2022 12:09:15 +0000

kdesu (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:23:56 +0000

kdesu (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Feb 2022 11:19:04 +0000

kdesu (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:23:07 +0000

kdesu (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:53:13 +0000

kdesu (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 12:31:06 +0000

kdesu (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:08:22 +0000

kdesu (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:18:10 +0000

kdesu (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:25:00 +0000

kdesu (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:15:26 +0000

kdesu (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:10:45 +0000

kdesu (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:12:01 +0000

kdesu (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:56:11 +0000

kdesu (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:10:54 +0000

kdesu (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:03:42 +0000

kdesu (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:30:28 +0000

kdesu (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:39:18 +0000

kdesu (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:25:17 +0000

kdesu (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:16:56 +0000

kdesu (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:21:27 +0000

kdesu (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:49:47 +0000

kdesu (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:40:17 +0000

kdesu (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:18:29 +0000

kdesu (5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Mar 2020 13:19:12 +0000

kdesu (5.67.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2020 21:03:52 +0000

kdesu (5.66.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Jan 2020 13:21:15 +0000

kdesu (5.65.0-0neon) bionic; urgency=medium

  * New release



## kdesu 5.116.0+p24.04+vstable+git20251020.0017

=== debian/changelog ===
kdesu (5.116.0+p24.04+vstable+git20251020.0017-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:17:19 +0000

=== debian/control ===
Source: kdesu
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libkf5coreaddons-dev (>= 5.51.0~),
               libkf5i18n-dev (>= 5.51.0~),
               libkf5pty-dev (>= 5.51.0~),
               libkf5service-dev (>= 5.51.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kdesu
Vcs-Git: https://invent.kde.org/neon/kde/kdesu.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdesu
Maintainer: Neon CI <neon@kde.org>

Package: libkf5su-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5su5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5su5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: runtime files for kdesu
 Framework to handle super user actions.
 .
 Contains runtime files for kdesu.

Package: libkf5su-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5su5 (<< 5.10)
Replaces: libkf5su5 (<< 5.10)
Description: translation files for kdesu
 Framework to handle super user actions
 .
 Contains translation files for kdesu.

Package: libkf5su-dev
Section: libdevel
Architecture: any
Depends: libkf5pty-dev (>= 5.51.0~),
         libkf5su5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5kdelibs4support-dev (<< 5.51), libkf5su-doc (<< 5.61.90-0)
Recommends: libkf5su-doc (<< 5.61.90-0), libkf5su-doc (= ${source:Version})
Description: development files for kdesu
 Framework to handle super user actions.
 .
 Contains development files for kdesu.

Package: libkf5su-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: runtime files for kdesu (documentation)
 Framework to handle super user actions.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5su5
Architecture: any
Multi-Arch: same
Depends: libkf5su-data (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5su-bin (= ${binary:Version})
Description: Integration with su for elevated privileges.
 Framework to handle super user actions

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/kdesu-([\d.]+)\.tar\.xz

## kdesu 5.116.0+p24.04+vstable+git20251220.0211

=== debian/changelog ===
kdesu (5.116.0+p24.04+vstable+git20251220.0211-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 02:11:02 +0000

## kdesu 5.116.0+p24.04+vstable+git20260122.1308

=== debian/changelog ===
kdesu (5.116.0+p24.04+vstable+git20260122.1308-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 13:08:43 +0000

## kdesu 5.116.0+p24.04+vstable+git20260131.1258

=== debian/changelog ===
kdesu (5.116.0+p24.04+vstable+git20260131.1258-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 12:58:28 +0000

## kdesu 5.116.0+p24.04+vunstable+git20251015.1100

=== debian/changelog ===
kdesu (5.116.0+p24.04+vunstable+git20251015.1100-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:00:30 +0000

## kdesu 5.116.0+p24.04+vunstable+git20251021.0341

=== debian/changelog ===
kdesu (5.116.0+p24.04+vunstable+git20251021.0341-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:41:46 +0000

## kdesu 5.116.0+p24.04+vunstable+git20251123.1909

=== debian/changelog ===
kdesu (5.116.0+p24.04+vunstable+git20251123.1909-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 19:09:14 +0000

## kdesu 5.116.0+p24.04+vunstable+git20260122.0218

=== debian/changelog ===
kdesu (5.116.0+p24.04+vunstable+git20260122.0218-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 02:18:56 +0000
